## zap 1.4.9-1

=== Makefile ===
# ZAP!
# $Id: Makefile.in,v 1.13 2003/11/15 11:59:34 adam Exp $
SHELL=/bin/sh

prefix=

exec_prefix=${prefix}

PACKAGE=zap
VERSION=1.4.9
SPEC_FILE=$(PACKAGE).spec
HTML_ZAP=$(prefix)/home/httpd/html

all:
	cd src; make all

.PHONY: doc
doc:
	cd doc; make

install:
	cd src; make install

install-html:
	./mkinstalldirs $(HTML_ZAP)
	cp -r htdocs/zap $(HTML_ZAP)

clean:
	cd src; make clean

dist: configure doc
	if test -d $(PACKAGE); then rm -fr $(PACKAGE); fi
	if test -d $(PACKAGE)-$(VERSION); then rm -fr $(PACKAGE)-$(VERSION); fi
	cvs co $(PACKAGE)
	cp configure $(PACKAGE)
	find $(PACKAGE) -name CVS -type d -print|xargs rm -fr
	find $(PACKAGE) -name .cvsignore -type f -print|xargs rm -f
	cp doc/*.html $(PACKAGE)/doc
	cp doc/*.png $(PACKAGE)/doc
	cp doc/*.pdf $(PACKAGE)/doc
	mv $(PACKAGE) $(PACKAGE)-$(VERSION)
	tar zcvf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	rm -fr $(PACKAGE)-$(VERSION)

rpm: $(PACKAGE)-$(VERSION).tar.gz
	cp $(PACKAGE)-$(VERSION).tar.gz /usr/src/redhat/SOURCES
	rpm -ba $(SPEC_FILE)

=== doc/Makefile ===
## $Id: Makefile.in,v 1.5 2003/11/15 11:33:13 adam Exp $

XMLFILES=zap.xml.in introduction.xml installation.xml general-notes.xml \
 template-invocation.xml input-parameters.xml result-variables.xml \
 template-sections.xml ccl.xml record-formatting.xml advanced-features.xml \
 indexdata.xml license.xml

HTMLFILES = zap.html introduction.html

SUPPORTFILES=tkl.xsl xml.dcl id.eps 

doc_DATA = $(HTMLFILES) zap.pdf id.png sections.png

EXTRA_DIST = $(XMLFILES) $(SUPPORTFILES) $(doc_DATA)

all: $(HTMLFILES) zap.pdf

$(HTMLFILES): $(XMLFILES)  
	jade -E14 -d yazhtml.dsl -t sgml xml.dcl zap.xml

zap.pdf: $(XMLFILES) id.png
	jade -E14 -d yazprint.dsl -t tex xml.dcl zap.xml
	pdfjadetex zap.tex
	pdfjadetex zap.tex
	pdfjadetex zap.tex

index.tkl: $(XMLFILES) tkl.xsl
	xsltproc tkl.xsl zap.xml

clean:
	rm -f *.html *.pdf *.tkl

=== src/Makefile ===
# Copyright (C) 1997-2000 Index Data
# All rights reserved.
# $Id: Makefile.in,v 1.9 2004/03/23 12:54:12 adam Exp $

SHELL=/bin/sh

RANLIB=ranlib

prefix = 

YAZLIB=-lyaz -lexslt -lxslt -lxml2 -lssl -lcrypto -lwrap -lnsl
YAZINC=-DYAZ_HAVE_XML2=1 -DYAZ_HAVE_XSLT=1 -DYAZ_HAVE_EXSLT=1 -I/usr/include/libxml2

TCLINC=-I/usr/include/tcl8.4
TCLLIB= -ltcl8.4${TCL_DBGX} -ldl -lpthread -lieee -lm

DEFS=$(YAZINC) $(TCLINC) -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DHAVE_VSNPRINTF=1 -DUSE_TCL=1 -DUSE_APACHE=1 -DUSE_ES=1

APXS=/usr/bin/apxs

LIBEXECDIR=$(prefix)/usr/lib/apache/1.3

CC=gcc

SRC=mod_zap.c zap_es.c

all: mod_zap.so

# CGI
zap: $(SRC) zap.h
	$(CC) $(DEFS) -o zap $(SRC) $(TCLLIB) $(YAZLIB)

# Apache 1 DSO
mod_zap.so: $(SRC) zap.h
	$(APXS) -c -n mod_zap $(DEFS) $(SRC) $(TCLLIB) $(YAZLIB)

# Apache 2 DSO
mod_zap.la: $(SRC) zap.h
	$(APXS) -c -n mod_zap $(DEFS) $(SRC) $(TCLLIB) $(YAZLIB)

install-rpm: $(LIBEXECDIR)
	cp mod_zap.so $(LIBEXECDIR)

install: mod_zap.so
	$(APXS) -i -a mod_zap.so
	cp 520mod_zap.info $(LIBEXECDIR)
	@conf="`$(APXS) -q SYSCONFDIR`/httpd.conf"; \
	if test -r $${conf}; then \
		if ! grep 'AddHandler zap-script' $${conf} >/dev/null; then \
			echo "NOTE:"; \
			echo "Add the following to $${conf}"; \
			echo " AddHandler zap-script .zap"; \
		fi; \
	fi

$(LIBEXECDIR):
	../mkinstalldirs $(LIBEXECDIR)

clean:
	rm -f *.[oa] mod_zap.so *.slo *.lo zap
	rm -f core mon.out gmon.out errlist

=== debian/changelog ===
zap (1.4.9-1) unstable; urgency=low

  * Upstream. YAZ 3.0.2.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue, 08 May 2007 12:02:00 +0200

zap (1.4.8-1) unstable; urgency=low

  * Using libyaz3.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon, 07 May 2007 11:52:33 +0200

zap (1.4.7-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Fri, 22 Dec 2006 18:57:46 +0100

zap (1.4.6-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon,  4 Sep 2006 14:49:21 +0200

zap (1.4.5-4) unstable; urgency=low

  * Fix postrm for woody.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon,  3 May 2004 21:23:54 +0200

zap (1.4.5-3) unstable; urgency=low

  * Added libapache-mod-zap-doc.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon,  3 May 2004 15:03:37 +0200

zap (1.4.5-2) unstable; urgency=low

  * Update inst/rm scripts to make package work for both woody and/sarge

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon,  3 May 2004 14:39:14 +0200

zap (1.4.5-1) unstable; urgency=low

  * Initial Release.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue, 23 Mar 2004 09:37:40 +0100

=== debian/control ===
Source: zap
Section: web
Priority: extra
Maintainer: Adam Dickmeiss <adam@indexdata.dk>
Build-Depends: debhelper (>= 4.0.0), libyaz3-dev, apache-dev (>= 1.3.18-1), tcl8.4-dev|tcl8.3-dev
Standards-Version: 3.6.0

Package: libapache-mod-zap
Architecture: any
Depends: apache-common, ${shlibs:Depends}
Description: ZAP - Z39.50 Apache Module
 ZAP! is an Apache module which allows you to build simple WWW
 interfaces to Z39.50 servers, requiring only a minimum of knowledge
 about the Z39.50 standard. ZAP! hides most of the complexity of
 session management, parallel searching, etc.  ZAP may be compiled as
 an Apache module or as a standalone CGI program.

Package: libapache-mod-zap-doc
Architecture: all
Description: ZAP - Documentation for Z39.50 Apache Module
 ZAP! is an Apache module which allows you to build simple WWW
 interfaces to Z39.50 servers, requiring only a minimum of knowledge
 about the Z39.50 standard. ZAP! hides most of the complexity of
 session management, parallel searching, etc.  ZAP may be compiled as
 an Apache module or as a standalone CGI program.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-apxs=/usr/bin/apxs --with-yaz=/usr/bin

configure: configure.in
	autoconf

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/zap.sgml > zap.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	# ZAP does not have distclean
	# -$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/zap.
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/apache/1.3
	cp src/mod_zap.so $(CURDIR)/debian/tmp/usr/lib/apache/1.3
	cp src/*mod_zap.info $(CURDIR)/debian/tmp/usr/lib/apache/1.3
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/libapache-mod-zap-doc
	cp doc/*.html doc/*.png doc/*.pdf $(CURDIR)/debian/tmp/usr/share/doc/libapache-mod-zap-doc/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## zap 1.5.0+git20170802.3.e68420e

=== debian/changelog ===
zap (1.5.0+git20170802.3.e68420e-2) unstable; urgency=medium

  * Rename /usr/bin/readme to /usr/bin/zap-readme

 -- Pirate Praveen <praveen@debian.org>  Wed, 06 Sep 2017 15:46:35 +0530

zap (1.5.0+git20170802.3.e68420e-1) unstable; urgency=medium

  * Initial release (Closes: #872032)

 -- Pirate Praveen <praveen@debian.org>  Sun, 13 Aug 2017 21:45:49 +0530

=== debian/control ===
Source: zap
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
#               golang-github-apex-log-dev,
#               golang-github-go-kit-kit-dev,
#               golang-github-pkg-errors-dev,
#               golang-github-rs-zerolog-dev,
#               golang-github-sirupsen-logrus-dev,
#               golang-github-stretchr-testify-dev,
#               golang-go.pedge-lion-dev,
               golang-go.uber-atomic-dev,
               golang-go.uber-multierr-dev,
#               golang-gopkg-inconshreveable-log15.v2-dev
Standards-Version: 4.0.0
Homepage: https://go.uber.org/zap
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/zap.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/zap.git
XS-Go-Import-Path: go.uber.org/zap
Testsuite: autopkgtest-pkg-go

Package: zap
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Blazing fast, structured, leveled logging in Go
 In contexts where performance is nice, but not critical, use the
 SugaredLogger. It's 4-10x faster than other structured logging
 packages and includes both structured and printf-style APIs.
 .
 When performance and type safety are critical, use the Logger. It's even
 faster than the SugaredLogger and allocates far less, but it only supports
 structured logging.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_install:
	dh_install
	mv debian/zap/usr/bin/readme debian/zap/usr/bin/zap-readme

override_dh_auto_test:
	# github.com/pkg/errors and github.com/apex/log not packaged
	echo "Tests Disabled"
